package com.tofly.feesapi.wxgl.wechatpay.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.wxgl.wechatpay.entity.PaySelect;
import com.tofly.feesapi.wxgl.wechatpay.entity.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PaySelectMapper extends BaseMapper<PaySelect> {

    PaySelectQfVo getDhYhqfxx(@Param("payselect") PaySelect dto, @Param("khbm") String khbm);

    PaySelectQfVo getYhqfxx(@Param("payselect") PaySelect dto);

    PaySelectOrderStatusVo getOrderStatus(@Param("payselect") PaySelect dto);

    List<PaySelectSfxmVo> getSfmxList(@Param("payselect") PaySelect dto);

    List<PaySelectSfxmVo> getYhSfmxList(@Param("payselect") PaySelect dto);

    List<QfSelectCbxmVo> getYhCbmxList(@Param("payselect") PaySelect dto);

    List<YhSelectxxVo> getYhxxList(@Param("payselect") PaySelect dto);
}
